{% extends "base.html" %}
{% block body %}
    {% if fqdn.fqdn_has_rr %}
        <div class="btn-group">
            <button type="button" class="btn btn-default dropdown-toggle"
                    data-toggle="dropdown" aria-haspopup="true"
                    aria-expanded="false"> Informationen zu '{{ fqdn.fqdn }}'
                <i class="fa fa-info-circle"
                   aria-hidden="true"></i> <span class="caret"></span>
            </button>
            <div class="dropdown-menu">
                <a class="dropdown-item"
                   href="{{ url_for('dnsvs.inspect_fqdn_recs', fqdn=fqdn.fqdn if not fqdn.fqdn == '.' else '$') }}">Alle
                    Records zu FQDN</a>
                <a class="dropdown-item"
                   href="{{ url_for('dnsvs.inspect_fqdn_refs', fqdn=fqdn.fqdn if not fqdn.fqdn == '.' else '$') }}">Alle
                    Referenzen auf FQDN</a>
            </div>
        </div>
    {% endif %}<a href="{{ url_for('dnsvs.edit_fqdn', fqdn=fqdn.fqdn) }}" class="btn btn-outline-primary"><i class="fa fa-pencil"></i></a>
                    <div class="btn-group">
                        <button type="button" class="btn btn-outline-danger dropdown-toggle"
                                data-toggle="dropdown" aria-haspopup="true"
                                aria-expanded="false">
                            <i class="fa fa-trash"
                               aria-hidden="true"></i> <span class="caret"></span>
                        </button>
                        <div class="dropdown-menu dropdown-menu-right">
                            <form method="post" target="">
                                {{ form.csrf_token }}
                                <input type="hidden" value="{{ fqdn.fqdn }}" name="fqdn">
                                <input type="hidden" value="False" name="do_del_pqdn">
                                <input type="hidden" value="False" name="force_del_ref_records">
                                <button type="submit" class="dropdown-item">FQDN löschen</button>
                            </form>
                            <form method="post" target="">
                                {{ form.csrf_token }}
                                <input type="hidden" value="{{ fqdn.fqdn }}" name="fqdn">
                                <input type="hidden" value="False" name="do_del_pqdn">
                                <input type="hidden" value="True" name="force_del_ref_records">
                                <button type="submit" class="dropdown-item">FQDN löschen
                                    und {{ colnames['NTree']['force_del_ref_records'].short_title_rel }}</button>
                            </form>
                            <form method="post" target="">
                                {{ form.csrf_token }}
                                <input type="hidden" value="{{ fqdn.fqdn }}" name="fqdn">
                                <input type="hidden" value="True" name="do_del_pqdn">
                                <input type="hidden" value="False" name="force_del_ref_records">
                                <button type="submit" class="dropdown-item">FQDN löschen
                                    und {{ colnames['NTree']['do_del_pqdn'].short_title_rel }}</button>
                            </form>
                            <form method="post" target="">
                                {{ form.csrf_token }}
                                <input type="hidden" value="{{ fqdn.fqdn }}" name="fqdn">
                                <input type="hidden" value="True" name="do_del_pqdn">
                                <input type="hidden" value="True" name="force_del_ref_records">
                                <button type="submit" class="dropdown-item">FQDN
                                    löschen, {{ colnames['NTree']['force_del_ref_records'].short_title_rel }}
                                    und {{ colnames['NTree']['do_del_pqdn'].short_title_rel }}</button>
                            </form>
                        </div>
                    </div>
    <blockquote class="blockquote">
      <p class="mb-0">{{ fqdn.description }}</p>
    </blockquote>
    {% include "dnsvs/fqdn-list.html" %}
{% endblock body %}
{% block post_script %}
    <script src="/static/js/netsuite.dnsvs.list-fqdns.js"></script>
{% endblock post_script %}